gems not found #3

Closed
Funfun opened this Issue Mar 15, 2013 · 17 comments

Projects

None yet

6 participants

@Funfun
Funfun commented Mar 15, 2013

Hello,

Just install you extenstion and did the following:

ctrl + shift + p => list gems => "gems not found"

For rvm gemset i have 700 access and my env:

  • Linux r2 3.5.0-25-generic #39-Ubuntu SMP Mon Feb 25 19:02:34 UTC 2013 i686 i686 i686 GNU/Linux
  • rvm 1.10.2
@ekurennyy

The same problem in just one of my projects.
OS X Mountain Lion 10.8.3
rvm 1.17.8

@brandonblack

@Funfun @ekurennyy are you guys using a gemset with your project? Apparently that's not supported by this plugin yet. I'm watching the repo, but I've actually uninstalled this since it isn't usable to me without that.

@ekurennyy

I'm using gemset for these projects. But I have this issue only on the laptop. The same settings for this project on another Mac works really good.
P.S. Settings are the same.

@bbonamin
Collaborator

Hi @Funfun, until you confirm whether you're using gemsets or not we can't really know what's happenning, sorry :(.

@brandonblack @ekurennyy we've had issues with rvm gemsets because we have not been able to "load rvm" from the python subprocess when a gemset is present. (https://github.com/NaN1488/sublime-gem-browser/blob/master/SublimeGemBrowser.py#L55)

We haven't been able to find a way around this issue, so until we do, we can't really support gemsets. If you have a deeper understanding of rvm and/or can give us a hand or at least point us in the right direction, we might be able to solve this. Thanks!

@sjmadsen

I just installed the plug-in and it isn't working for me, either, on two different projects. Both are on Mac OS X 10.8.3, rbenv 0.4.0.

First project: Ruby 1.9.3, Rails 3.2, Bundler 1.2.1
Second project: Ruby 2.0, Rails 4 beta, Bundler 1.3.0

In both cases, I simply get "gems not found". I didn't do anything out of the ordinary when bundling either of these projects.

@bbonamin
Collaborator

Hey @sjmadsen could you tell me where have you installed rbenv and bundler? (Run which bundle)

@sjmadsen

rbenv is installed in /usr/local/bin and Bundler with gem install (so it lives under ~/.rbenv/versions with a shim in ~/.rbenv/shims, and the latter is in my $PATH).

@bbonamin
Collaborator

well last night I added a commit that should make it work if you have bundler in ~/.rbenv/shims, mmm... When did you install this plugin? Could you try reinstalling? Thanks.

@sjmadsen

I just installed this morning and I have that commit. My install does not have a ~/.rbenv/bin directory, but rather ~/.rbenv/shims. I'm fairly certain that shims is the normal place and I didn't do anything to use that name.

@nnc
nnc commented Mar 19, 2013

@bbonamin this package was configured in Package Control to be pulled form stable branch, so please make sure your commit is merged into that branch. Otherwise package control will not see this commit and everyone will still get the old version from Dec 19, 2012.

@bbonamin
Collaborator

Woah it's great that you noticed that @nnc, I didn't remember about that setting. The fix is on stable now so it should be picked up by Package Control. Thanks.

@bbonamin
Collaborator

So maybe now @sjmadsen if you reinstall it should work for you.

@sjmadsen

Yes, that fixed it. Thanks!

@bbonamin
Collaborator

That's awesome! I'll close this bug as the OP hasn't responded.

@bbonamin bbonamin closed this Mar 19, 2013
@Funfun
Funfun commented Mar 22, 2013

Sorry, just was busy. Thanks for fix!

@bbonamin
Collaborator

:-)
El mar 22, 2013 4:55 a.m., "Tsyren Ochirov" notifications@github.com
escribió:

Sorry, just was busy. Thanks for fix!


Reply to this email directly or view it on GitHubhttps://github.com/NaN1488/sublime-gem-browser/issues/3#issuecomment-15284961
.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment